<mat-toolbar color="primary">
  <mat-toolbar-row>
    <button mat-icon-button class="example-icon" aria-label="Example icon-button with menu icon"
            (click)="sidenav.toggle()">
      <mat-icon>menu</mat-icon>
    </button>
    <span class="example-spacer"></span>
    <span>Ory Hydra</span>
  </mat-toolbar-row>
</mat-toolbar>

<mat-drawer-container class="sidenav-container">
  <mat-drawer mode="side" opened #sidenav class="sidenav">
    <mat-action-list class="action-list">
      <mat-action-row>
        <a mat-list-item [routerLink]="['/clients']">Clients</a>
        <a mat-list-item [routerLink]="['/consent-requests']">Consent Requests</a>
      </mat-action-row>
    </mat-action-list>
  </mat-drawer>

  <mat-drawer-content>
    <ng-content></ng-content>
  </mat-drawer-content>
</mat-drawer-container>
